Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Interface ChannelManager.Proxy

All Known Implementing Classes:
  AbstractDispatchingPollingPhysicalDevice, AbstractPhysicalDevice, AbstractPollingPhysicalDevice, AbstractPrinterPhysicalReader

Enclosing class:
  ChannelManager

    public static interface ChannelManager.Proxy

This class is implemented by consumers of the ChannelManager mechanism.

Method Summary
`Logger` | `getLogger()` This logger is used to inform the user of manager state transitions and other relevant information from each of the channels.
`void` | `initialize()` Called after the channels are all activated, this method should perform any necessary initialization, such as setting listeners, authenticating to a device, and setting up current application state on the device.
`void` | `listenerExecute(Runnable r)` Called whenever asynchronous input needs to be processed.
`String` | `toString()` The ChannelManager uses the toString() method to get a printable name which is used in log messages issued when the channel changes state.

Method Detail

### initialize

    void initialize()
                    throws IOException

  Called after the channels are all activated, this method should perform any necessary initialization, such as setting listeners, authenticating to a device, and setting up current application state on the device. This method is only called from `ChannelManager.execute(com.connecterra.ale.reader.ChannelManager.Operation)` or `ChannelManager.deactivateChannels()`.

  Throws:
    `IOException` - if an error occurs

### getLogger

    Logger getLogger()

  This logger is used to inform the user of manager state transitions and other relevant information from each of the channels.

  Returns:
    a `Logger` value

### listenerExecute

    void listenerExecute(Runnable r)

  Called whenever asynchronous input needs to be processed. See `ChannelManager` for more information on thread interaction. This method may be invoked at any time by any thread.

  Parameters:
    `r` - a `Runnable` value

### toString

    String toString()

  The ChannelManager uses the toString() method to get a printable name which is used in log messages issued when the channel changes state.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD